# One Time

## Payment

The Payment event is notified when a one-time payment is executed.

*Please Note:*\
\&#xNAN;*Since we have released **Wallet-to-Wallet**, every **short-url** (one-time) created via 8PAY Network will provide the user a default checkout flow that will allow him to pay via **Wallet-to-Wallet** or with a **Web3** wallet such as **Metamask**. For this reason, we highly recommend supporting the **Wallet-to-Wallet** event.* [Read more here](/webhook-notifications/events/wallet-to-wallet.md)

```
{
    "id": "7e398c290b8c73bc1557740b64b4ede616a2725c5527e49a76584d6dd0167967",
    "type": "one-time",
    "event": "Payment",
    "timestamp": 1585220116,
    "transactionHash": "0xb0f21bf5d722d981330d45d8625568cd0b356e8c7c464857131a6ebf99eadf80",
    "transactionStatus": "confirmed",
    "data": {
        "id": "0x563ac3fb11181935a6de874c69de5080bf90647bea11dc6e10e06356928a804c",
        "sender": "0xe42fD8a58A82fDF624A8a94dA03a0e44F9934Dff",
        "description": "Ebook",
        "token": "8PAY",
        "category": "Shop",
        "tag": "ebook_859294",
        "receivers": [
            {
                "account": "0xB2e9F6F9414ea12A33302923A55b9B4Cf99CCD90",
                "amount": "5",
                "fee": "0.05"
            }
        ]
    },
    "extra": {
        "banner": "BR69",
        "traffic": "facebook"
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.8pay.network/webhook-notifications/events/one-time.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
